## ShellTrayIcon ShellTrayIcon |

## Functions

ClutterActor * | shell_tray_icon_new ()
void | shell_tray_icon_click ()

## Properties

guint | pid | Read
gchar * | title | Read
gchar * | wm-class | Read

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActor
                ╰── ClutterClone
                    ╰── ShellGtkEmbed
                        ╰── ShellTrayIcon

## Description

## Functions

### shell_tray_icon_new ()

    ClutterActor *
    shell_tray_icon_new (ShellEmbeddedWindow *window);

### shell_tray_icon_click ()

    void
    shell_tray_icon_click (ShellTrayIcon *icon,
                           ClutterEvent *event);

Fakes a press and release on `icon` . `event` must be a `CLUTTER_BUTTON_RELEASE`, `CLUTTER_KEY_PRESS` or `CLUTTER_KEY_RELEASE` event. Its relevant details will be passed on to the icon, but its coordinates will be ignored; the click is always made on the center of `icon` .

#### Parameters

icon | a ShellTrayIcon |
event | the ClutterEvent triggering the fake click |

## Types and Values

## Property Details

### The `“pid”` property

      “pid”                      guint

The PID of the icon's application.

Flags: Read

Default value: 0

### The `“title”` property

      “title”                    gchar *

The icon's window title.

Flags: Read

Default value: NULL

### The `“wm-class”` property

      “wm-class”                 gchar *

The icon's window WM_CLASS.

Flags: Read

Default value: NULL